#
# spec file for package python-catkin-pkg
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-catkin-pkg
Version:        0.4.16
Release:        bp156.3.2
Summary:        Catkin package library
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://wiki.ros.org/catkin_pkg
Source:         https://github.com/ros-infrastructure/catkin_pkg/archive/%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-docutils
Requires:       python-pyparsing
Requires:       python-python-dateutil
Requires:       python-setuptools
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module docutils}
BuildRequires:  %{python_module flake8}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pyparsing}
BuildRequires:  %{python_module python-dateutil}
# /SECTION
%python_subpackages

%description
Library for retrieving information about catkin packages.

%prep
%setup -q -n catkin_pkg-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONPATH=$PWD/src
cd test
# flake8 line length checks failing (E501)
%python_exec %{_bindir}/nosetests --exclude=test/test_flake8.py

%files %{python_files}
%license LICENSE
%python3_only %{_bindir}/catkin_create_pkg
%python3_only %{_bindir}/catkin_find_pkg
%python3_only %{_bindir}/catkin_generate_changelog
%python3_only %{_bindir}/catkin_package_version
%python3_only %{_bindir}/catkin_prepare_release
%python3_only %{_bindir}/catkin_tag_changelog
%python3_only %{_bindir}/catkin_test_changelog
%{python_sitelib}/*

%changelog
* Mon Mar 30 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.4.16
  * add Python 3.7 and 3.8 to Travis matrix
  * allow different CMake minimum version in metapackage
* Fri Jan 24 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.4.15
  * small fixes
* Sat Aug  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.13:
  * small fixes
- Fix download url
* Thu Jul 11 2019 Andreas Färber <afaerber@suse.de>
- Initial (v0.4.12)
